Обход ограничений безопасности в WordPress WP-Ban

Дата публикации:
22.09.2014
Дата изменения:
22.09.2014
Всего просмотров:
735
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:N/A:P/E:U/RL:O/RC:C) = Base:5/Temporal:3.7
CVE ID:
CVE-2014-6230
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress WP-Ban Plugin 1.x
Уязвимые версии: WordPress WP-Ban версии до 1.64

Описание:
Уязвимости позволяют удаленному пользователю обойти ограничения безопасности.

Уязвимость существует из-за того, что приложение неправильно обрабатывает запросы IP адреса, использующие заголовки X-Forwarded-For. Удаленный пользователь может обойти блокировку черного списка IP.

URL производителя: https://wordpress.org/plugins/wp-ban/

Решение: Установите последнюю версию 1.64 с сайта производителя.

Ссылки: https://security.dxw.com/advisories/vulnerability-in-wp-ban-allows-visitors-to-bypass-the-ip-blacklist-in-some-configurations/
https://wordpress.org/plugins/wp-ban/changelog/